Parameters
JSON body
Request body
application/jsoncostIdstringRequiredExternal id of the variable cost.
yearMonthstringRequiredYYYY-MM.
amountMoneynumberRequiredRange: 0–∞
notestring | nullOptionalOne of 2:
Variant 1
string
Variant 2
null
Set the monthly value for a variable cost (idempotent upsert)
JSON body
costIdstringRequiredExternal id of the variable cost.
yearMonthstringRequiredYYYY-MM.
amountMoneynumberRequirednotestring | nullOptional1 status code documented
successbooleanRequiredentryIdstringRequired{
"success": false,
"entryId": "example_entryId"
}POST /bff/branch-cost/entry-upsert
curl -X POST "https://api.bizkithub.com/bff/branch-cost/entry-upsert" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"costId": "example_costId",
"yearMonth": "example_yearMonth",
"amountMoney": 0
}'All BizKitHub public API endpoints require authentication via API key.